Subject: 24.5; "Local rules set"

From: <[email-masked]>
Date: Tue, 1 Nov 2016 15:07:07 +0000

--text follows this line--

I tried to send this earlier but I think it failed.  I got no confirmation of it sending anyway, so here's essentially the same thing again...

I've been using sh-mode to edit bash scripts, but I noticed that the indent after a "then" was twice what it should be (and twice what it is after an "else").  I googled and discovered that I can run "sh-learn-buffer-indent" to learn the indentation that I want; this prompted me of a shortcut "C-c >" which I've then been using.

It works perfectly!

But it only applies to the current session and all the "C-c >" command says when complete is "Local rules set".  It doesn't say what those rules are or how to make them permanent.  It doesn't even say what it means by "rules" actually.  I put a question on StackOverflow and was recommended to submit a bug report, hence this email.

So could the "Local rules set" message be changed to include instructions on how to make the changes permanent please?

Thanks,

Richard

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-17 on lgw01-04, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description: Linux Mint 18 Sarah

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Shell-script

Minor modes in effect:
  sh-electric-here-document-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:

C-x M-i is undefined
byte-code: End of buffer [4 times]
byte-code: Beginning of buffer [16 times]

Load-path shadows:
/usr/share/emacs/24.5/site-lisp/sgml-mode hides /usr/share/emacs/site-lisp/sgml-mode
/usr/share/emacs/24.5/site-lisp/php-mode hides /usr/share/emacs/site-lisp/php-mode
/usr/share/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/24.5/site-lisp/sgml-mode hides /usr/share/emacs/24.5/lisp/textmodes/sgml-mode
/usr/share/emacs/24.5/site-lisp/sh-script hides /usr/share/emacs/24.5/lisp/progmodes/sh-script

Features:
(mailalias mailclient browse-url shadow sort gnus-util mail-extr
emacsbug message format-spec rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils pp apropos
cus-theme eieio-custom eieio byte-opt bytecomp byte-compile cl-extra
cconv eieio-core wid-browse tree-widget cus-edit wid-edit help-mode
easymenu tabify sh-script smie executable web-mode advice help-fns
disp-table edmacro kmacro cl-loaddefs cl-lib sgml-mode delsel paren
cus-start cus-load time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 138222 26012)
 (symbols 48 23067 0)
 (miscs 40 111 525)
 (strings 32 27088 5121)
 (string-bytes 1 727532)
 (vectors 16 15338)
 (vector-slots 8 465085 10423)
 (floats 8 90 790)
 (intervals 56 1256 253)
 (buffers 960 17)
 (heap 1024 34477 1884))